Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.external
Interface InfobitExporter

All Known Implementing Classes:
  SimpleExporter, VelocityExporter

public interface InfobitExporter

Defines the protocol to convert a set of infobits into an external (XML) representation

Version:
  $Revision: 1.1 $
Author:
  peter2

Method Summary
`void` | `export(java.util.Collection infobits, java.io.Writer writer)` Converts the specified set of infobits into an XML representation.
`InfobitManager` | `getManager()` Gets the manager to work with.
`void` | `init()` Prepares the instance to be used.
`void` | `setManager(InfobitManager manager)` Defines the manager to work with.

Method Detail

### setManager

    public void setManager(InfobitManager manager)

  Defines the manager to work with.

  Parameters:
    `manager` - The manager to access infobits

### getManager

    public InfobitManager getManager()

  Gets the manager to work with.

  Returns:
    The manager to access infobits

### init

    public void init()
              throws InfobitException

  Prepares the instance to be used.

  Throws:
    `InfobitException` - Description of Exception

### export

    public void export(java.util.Collection infobits,
                       java.io.Writer writer)
                throws InfobitException

  Converts the specified set of infobits into an XML representation.

  Parameters:
    `infobits` - The infobits to externalize. Infobits are externalized in the order obtained from than argument. Collection of `Infobit`.
    `writer` - The destination where to write the XML representation of `infobits` to
  Throws:
    `InfobitException` - Unexpected error condition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.